package fr.uha.gabalier.util;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public final class ImageLib {

    public static Image createScaledImage(File file, int iconWidth, int iconHeight) {
        final BufferedImage img;
        try {
            if ((img = ImageIO.read(file)) != null) {
                return img.getScaledInstance(iconWidth, iconHeight, Image.SCALE_DEFAULT);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        return null;
    }

    private ImageLib() {}
}
